# H225_ANSI_41_UIM Class Reference

`#include <h225.h>`

Inheritance diagram for H225_ANSI_41_UIM:

List of all members.

## Public Types

enum | OptionalFields { e_imsi, e_min, e_mdn, e_msisdn, e_esn, e_mscid, e_systemMyTypeCode, e_systemAccessType, e_qualificationInformationCode, e_sesn, e_soc }

## Public Member Functions

| H225_ANSI_41_UIM (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_IA5String | m_imsi
PASN_IA5String | m_min
PASN_IA5String | m_mdn
PASN_IA5String | m_msisdn
PASN_IA5String | m_esn
PASN_IA5String | m_mscid
H225_ANSI_41_UIM_system_id | m_system_id
PASN_OctetString | m_systemMyTypeCode
PASN_OctetString | m_systemAccessType
PASN_OctetString | m_qualificationInformationCode
PASN_IA5String | m_sesn
PASN_IA5String | m_soc

## Member Enumeration Documentation

enum H225_ANSI_41_UIM::OptionalFields

Enumerator:

  e_imsi |
  e_min |
  e_mdn |
  e_msisdn |
  e_esn |
  e_mscid |
  e_systemMyTypeCode |
  e_systemAccessType |
  e_qualificationInformationCode |
  e_sesn |
  e_soc |

## Constructor & Destructor Documentation

H225_ANSI_41_UIM::H225_ANSI_41_UIM | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_ANSI_41_UIM::GetDataLength | ( |  | ) | const

PBoolean H225_ANSI_41_UIM::Decode | ( | PASN_Stream & | strm | ) |

void H225_ANSI_41_UIM::Encode | ( | PASN_Stream & | strm | ) | const

void H225_ANSI_41_UIM::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_ANSI_41_UIM::Compare | ( | const PObject & | obj | ) | const

PObject* H225_ANSI_41_UIM::Clone | ( |  | ) | const

## Member Data Documentation

PASN_IA5String H225_ANSI_41_UIM::m_imsi

PASN_IA5String H225_ANSI_41_UIM::m_min

PASN_IA5String H225_ANSI_41_UIM::m_mdn

PASN_IA5String H225_ANSI_41_UIM::m_msisdn

PASN_IA5String H225_ANSI_41_UIM::m_esn

PASN_IA5String H225_ANSI_41_UIM::m_mscid

H225_ANSI_41_UIM_system_id H225_ANSI_41_UIM::m_system_id

PASN_OctetString H225_ANSI_41_UIM::m_systemMyTypeCode

PASN_OctetString H225_ANSI_41_UIM::m_systemAccessType

PASN_OctetString H225_ANSI_41_UIM::m_qualificationInformationCode

PASN_IA5String H225_ANSI_41_UIM::m_sesn

PASN_IA5String H225_ANSI_41_UIM::m_soc

The documentation for this class was generated from the following file:

- h225.h